.block-product-detail-page{
    padding: 80px 0 70px;
    .owl-detail{
        border: solid 1px #ebebeb;
        border-radius: 10px;
        .item{
            img{
                width: auto;
                max-width: 100%;
                margin: 0 auto;
            }
        }
        .owl-nav{
            .owl-prev{
                position: absolute;
                top: 50%;
                left: 10px;
                transform: translateY(-50%);
                width: 40px;
                height: 40px;
                padding: 0;
                display: flex;
                justify-content: center;
                color: #adadad;
                font-size: 30px;
                border-radius: 50%;
                align-items: center;
                background-color: transparent;
                border: solid 1px #adadad;
                outline: none;
                transition: all 0.23s;
                &:hover{
                    color: $main-color;
                    border-color: $main-color;
                    transition: all 0.23s;
                }
            }
            .owl-next{
                position: absolute;
                top: 50%;
                right: 10px;
                transform: translateY(-50%);
                width: 40px;
                height: 40px;
                padding: 0;
                display: flex;
                justify-content: center;
                color: #adadad;
                font-size: 30px;
                border-radius: 50%;
                align-items: center;
                background-color: transparent;
                border: solid 1px #adadad;
                outline: none;
                transition: all 0.23s;
                &:hover{
                    color: $main-color;
                    border-color: $main-color;
                    transition: all 0.23s;
                }
            }
            .owl-dots{
                position: absolute;
                bottom: 5px;
                left: 50%;
                transform: translate(-50%, -50%);
            }
        }
    }
    .block-detail{
        padding: 25px 0;
        .category-product{
            color: #adadad;
            font-size: 12px;
            text-transform: uppercase;
            margin-bottom: 15px;
        }
        .product-name{
            font-style: normal;
            font-weight: 500;
            font-size: 24px;
            line-height: 29px;/* identical to box height */
            letter-spacing: 0.05em;
            margin-bottom: 18px;
            color: $content-color;
            text-transform: uppercase;
            font-family: $main-font;
        }
        .rated{
            span{
                color: $text-gray;
                font-size: 12px;
            }
        }
        .status-wrap{
            display: flex;
            justify-content: space-between;
            align-items: center;
            .rated{
                margin-right: 50px;
                ul{
                    li{
                        i{
                            color: #ffb136;
                        }
                    }
                }
            }
            .code-product{
                font-size: 14px;
                span{
                    color: $text-gray;
                }
            }
            .status-box{
                font-family: $main-font;
                font-style: normal;
                font-weight: normal;
                font-size: 14px;
                i{
                    margin-right: 3px;
                }
                .true{
                    color: #4caf50;
                }
                .false{
                    color: red;
                }
            }
        }
        .price-box{
            display: inline-flex;
            align-items: flex-end;
            margin-bottom: 29px;
            .price-new{
                background-color: transparent;
                margin-right: 15px;
                font-style: normal;
                font-weight: 500;
                font-size: 24px;
                line-height: 29px;/* identical to box height */
                color: $main-color;
            }
            .price-old{
                font-style: normal;
                font-weight: 500;
                font-size: 16px;
                line-height: 24px;/* identical to box height */
                text-decoration-line: line-through;
                color: $text-gray;
            }
        }
        .desc{
            font-family: $main-font;
            font-style: normal;
            font-weight: normal;
            font-size: 14px;
            line-height: 22px;
            color: $content-color;
            margin-bottom: 20px;
        }
        .block-custom-change{
            margin-bottom: 20px;
            .change-item{
                display: flex;
                align-items: center;
                margin-bottom: 30px;
                .change-name{         
                    font-family: 'Open Sans', sans-serif;
                    font-style: normal;
                    font-weight: normal;
                    font-size: 14px;
                    line-height: 23px;
                    color: $content-color-default;
                    margin-right: 30px;
                }
                .form-check{
                    span{
                        display: inline-block;
                        font-family: 'Open Sans', sans-serif;
                        font-style: normal;
                        font-weight: normal;
                        font-size: 14px;
                        line-height: 20px;
                        color: $content-color;
                        margin-right: 5px;
                        padding: 5px 15px;
                        background-color: $color-white;
                        border: 1px solid $color-border;
                        box-sizing: border-box;
                        border-radius: 16px;
                        cursor: pointer;
                    }
                    .form-check-input{
                        display: none;
                        &:checked ~ span {
                            color: $main-color;
                            border-color: $main-color;
                            transition: all 0.23s;
                        }
                    }
                }
            }
            .form-action{
                display: flex;
                align-items: center;
                .quantity{
                    display: inline-flex;
                    background: $color-white;
                    border: 1px solid #DFE3E8;
                    border-radius: 10px;
                    box-sizing: border-box;
                    margin-right: 10px;
                    position: relative;
                    input{
                        border: none;
                        text-align: center;
                        outline: none;
                        box-shadow: none;
                        background-color: transparent;
                        height: 36px;
                        width: 80px;
                        line-height: 36px;
                        color: $text-gray;
                        font-family: $main-font;
                        font-style: normal;
                        font-weight: normal;
                        font-size: 16px;
                        line-height: 20px;
                        text-transform: uppercase;
                    }
                    input[type=number]::-webkit-inner-spin-button,
                    input[type=number]::-webkit-outer-spin-button
                    {
                    -webkit-appearance: none;
                    margin: 0;
                    }

                    input[type=number]
                    {
                    -moz-appearance: textfield;
                    }
                    .quantity-nav{
                        .quantity-down{
                            position: absolute;
                            top: 50%;
                            left: 7px;
                            transform: translateY(-50%);
                            background-color: transparent;
                        }
                        .quantity-up{
                            position: absolute;
                            top: 50%;
                            right: 7px;
                            transform: translateY(-50%);
                            background-color: transparent;
                        }
                    }
                }
                .like-check{
                    margin-right: 10px;
                    span{
                        display: inline-block;
                        font-family: 'Open Sans', sans-serif;
                        font-style: normal;
                        font-weight: normal;
                        font-size: 14px;
                        height: 38px;
                        width: 38px;
                        line-height: 38px;
                        text-align: center;
                        border-radius: 50%;
                        color: $content-color;
                        margin-right: 5px;
                        // padding: 5px 15px;
                        background: #F9FAFB;
                        border: 1px solid #DFE3E8;
                        box-sizing: border-box;
                        cursor: pointer;
                    }
                    .form-check-input{
                        display: none;
                        &:checked ~ span {
                            svg{
                                path{
                                    fill: $main-color;
                                    stroke: $main-color;
                                }
                            }
                            border-color: $main-color;
                            transition: all 0.23s;
                        }
                    }
                }
                .btn{
                    outline: none;
                    box-shadow: none;
                    height: 38px;
                    line-height: 38px;
                    padding: 0 15px;
                    text-align: center;
                    font-style: normal;
                    font-weight: normal;
                    color: $main-color;
                    font-size: 16px;
                    line-height: 20px;
                    margin-right: 10px;
                    border: 1px solid $main-color;
                    border-radius: 2px;
                    transition: all 0.23s;
                }
                .btn-action{
                    &:hover{
                        color: $color-white;
                        background-color: $main-color;
                        border-color: $main-color;
                        transition: all 0.23s;
                        svg{
                            path{
                                stroke: $color-white;
                            }
                        }
                    }
                }
                .btn-buy{
                    background-color: $main-color;
                    color: $color-white;
                }
                @media (max-width: 767px) {
                    display: block;
                    .btn{
                        display: -webkit-box;
                        margin-top: 10px;
                    }
                }
            }
        }
        .tags,
        .block-category-type{
            padding: 5px 0;
            a,
            span{
                color: $main-color;
                display: inline-block;
                font-style: normal;
                font-weight: normal;
                font-size: 14px;
                line-height: 23px;
                // color: $text-gray;
            }
            span{
                font-style: normal;
                font-weight: 500;
                font-size: 14px;
                line-height: 20px;/* identical to box height */
                color: #3F4755;
            }
            a{
                text-decoration: none;
                color: $main-color;
                font-weight: normal;
                color: $text-gray;
                &:hover{
                    color: $main-color;
                    transition: all 0.23s;
                }
            }
        }
        .social{
            display: inline-flex;
            align-items: center;
            padding: 5px 0;
            span{
                display: inline-block;
                font-style: normal;
                font-weight: normal;
                font-size: 14px;
                line-height: 23px;
                min-width: 120px;
                font-style: normal;
                font-weight: 500;
                font-size: 14px;
                line-height: 20px;/* identical to box height */
                color: #3F4755;
            }
            ul{
                margin: 0;
                padding: 0;
                list-style: none;
                li{
                    display: inline-block;
                    margin-right: 25px;
                    a{
                        margin: 0;
                        svg{
                            width: 15px;
                        }
                        &:hover{
                            svg{
                                path{
                                    fill: $main-color;
                                }
                            }
                        }
                    }
                }
            }
        }
        .flex-box{
            display: flex;
            justify-content: space-between;
            @media (max-width: 767px) {
                display: block;
            }
        }
    }
    .block-description{
        .nav-tabs{
            .nav-item{
                margin-right: 5px;
                .nav-link{
                    font-size: 14px;
                    color: $content-color;
                    font-weight: 600;
                    padding: 10px 15px;
                    background-color: #eeeeee;
                }
                .active{
                    background-color: $color-white;
                    color: $main-color;
                    span{
                        color: $text-gray;
                    }
                }
            }
        }
    }
    .block-comment{
        background-color: $color-white;
        padding: 0;
        .title-block{
            font-style: normal;
            font-weight: 500;
            font-size: 14px;
            line-height: 17px;
            text-transform: uppercase;
            color: $text-gray;
            margin-bottom: 20px;
            span{
                display: inline-block;
                padding: 10px 0;
            }
        }
        .comment-list{
            margin-bottom: 30px;
            .comment-item{
                align-items: flex-start;
                margin-bottom: 15px;
                .user-avatar{
                    margin-right: 20px;
                    .thumb{
                        width: 71px;
                        height: 71px;
                        overflow: hidden;
                        img{
                            width: 100%;
                        }
                    }
                }
                .comment-content{
                    width: 100%;
                    box-sizing: border-box;
                    border-radius: 4px;
                    padding: 15px 0;
                    position: relative;
                    .flex-display{
                        align-items: flex-start;
                    }
                    .rated{
                        margin-right: 50px;
                        ul{
                            li{
                                i{
                                    color: #ffb136;
                                }
                            }
                        }
                    }
                    .user-infor{
                        .name{
                            font-style: normal;
                            font-weight: 500;
                            font-size: 16px;
                            line-height: 22px;/* identical to box height */
                            align-items: center;
                            color: $content-color;
                            margin-bottom: 0;
                            .date{
                                font-style: normal;
                                font-weight: normal;
                                font-size: 12px;
                                line-height: 15px;/* identical to box height */
                                letter-spacing: 0.1em;
                                color: $text-gray;
                            }
                        }
                        .rated{
                            margin-bottom: 15px;
                        }
                    }
                    .date{
                        font-style: normal;
                        font-weight: normal;
                        font-size: 12px;
                        line-height: 15px;/* identical to box height */
                        letter-spacing: 0.1em;
    
                        color: $text-gray;
                    }
                    .content{
                        font-family: $main-font;
                        font-style: normal;
                        font-weight: normal;
                        font-size: 14px;
                        line-height: 22px;
                        align-items: center;
                        color: $content-color;;
                    }
                }
            }
        }
        .block-form-rating{
            .form-group-rating{
                margin-bottom: 15px;
                display: flex;
                align-items: center;
                @media (max-width: 767px) {
                    display: block;
                }
                h3{
                    font-size: 24px;
                    color: $main-color;
                    padding-right: 30px;
                    margin-right: 30px;
                    margin-bottom: 0;
                    position: relative;
                    &::before{
                        content: '';
                        position: absolute;
                        top: 50%;
                        right: 0;
                        transform: translateY(-50%);
                        width: 2px;
                        height: 15px;
                        background-color: $content-color;
                    }
                    @media (max-width: 767px) {
                        padding: 0;
                        &::before{
                            display: none;
                        }
                    }
                }
                .rate-wrap{
                    display: inline-flex;
                    align-items: center;
                }
                .title{
                    white-space: nowrap;
                    margin-right: 25px;
                    margin-bottom: 0;
                    font-style: normal;
                    font-weight: normal;
                    font-size: 14px;
                    line-height: 17px;
                    display: flex;
                    align-items: center;
                    color: #3F4755;
                    min-width: 70px;
                }
                .rating{
                    width: 100%;
                    margin-top: 2px;
                    .form-group{
                        label.star{
                            color: $main-color;
                            font-size: 17px;
                        }
                        input.star:checked ~ label.star:before{
                            color: #ffb136;
                        }
                    }
                }
                .col-group{
                    display: grid;
                    grid-gap: 20px;
                    grid-template-columns: auto auto auto;
                    .item1 {
                        grid-column-start: 1;
                        grid-column-end: 4;
                    }
                    .form-control{
                        background: $color-white;
                        /* bg */
                        border: 1px solid #ebebeb;
                        box-sizing: border-box;
                        border-radius: 5px;
                        outline: none;
                        box-shadow: none;
                        font-family: Montserrat;
                        font-style: normal;
                        font-weight: normal;
                        font-size: 14px;
                        line-height: 17px;
                        height: 45px;
                        &::placeholder{
                            font-family: $main-font;
                            font-style: normal;
                            font-weight: normal;
                            font-size: 14px;
                            line-height: 17px;
                        }
                    }
                    @media screen {
                        display: block;
                        .form-control{
                            margin-bottom: 10px;
                        }
                    }
                }
                textarea{
                    width: 100%;
                    height: 110px;
                    resize: none;
                    box-shadow: none;
                    outline: none;
                    font-style: normal;
                    font-weight: 500;
                    font-size: 13px;
                    color: $text-gray;
                    padding: 10px;
                }
                .btn-submit{
                    font-style: normal;
                    font-weight: 500;
                    font-size: 14px;
                    line-height: 20px;
                    color: #F9FAFB;
                    background-color: $main-color;
                    padding-left: 25px;
                    padding-right: 25px;
                    border-radius: 5px;
                    height: 45px;
                    outline: none;
                    box-shadow: none;
                    border: none;
                }
            }
        }
    }
    .block-related{
        padding: 30px 0 0;
        border-top:  solid 1px $color-border;
        .header-related{
            display: flex;
            justify-content: space-between;
            align-items: center;
            margin-bottom: 30px;
            h2{
                margin-right: auto;
                margin-bottom: 30px;
                font-style: normal;
                font-weight: normal;
                font-size: 24px;
                line-height: 29px;/* identical to box height */
                letter-spacing: 0.02em;
                text-transform: uppercase;
                margin-bottom: 0;
            }
        }
        .swiper-container{
            overflow: initial;
            padding-bottom: 80px;
            .swiper-button-prev,
            .swiper-button-next{
                top: 44%;
                background-image: none;
                width: auto;
                height: auto;
                margin-top: 0;
                transform: translateY(-50%);
            }
            .swiper-button-prev{
                left: -15px;
            }
            .swiper-button-next{
                right: -15px;
            }
        }
    }
    .rating {
        display: inline-block;
        .form-group{
            margin: auto;
            display: inline-block;
            input.star { display: none; }
            label.star {
                float: right;
                margin: 0 4px;
                font-size: 20px;
                color: $content-color-default;
                transition: all .2s;
            }
               
            input.star:checked ~ label.star:before {
                content: '\f005';
                color: $content-color-default;
                transition: all .25s;
            }
               
            input.star-5:checked ~ label.star:before {
                color: $content-color-default;
                text-shadow: 0 0 20px $content-color-default;
            }
               
            input.star-1:checked ~ label.star:before { color: $content-color; }
               
            label.star:hover { transform: rotate(-15deg) scale(1.3); }
               
            label.star:before {
                content: '\f006';
                font-family: FontAwesome;
            }
        }
    }
    .rated{
        ul{
            margin: 0;
            padding: 0;
            list-style: none;
            display: inline-flex;
            align-items: center;
            li{
                margin-right: 2px;
            }
        }
    }
}
